
// -*- C++ -*-

// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)

// This set of subclasses is used to build a simple client program
// which will dump a binary version of the DODS variables to a file
// (nominally stdout).
//
// jhrg 9/24/96

// $Log: IDLByte.h,v $
// Revision 1.1.2.1  1999/09/23 23:06:25  jimg
// This collection of files builds under Solaris 2.6. The resulting idl_dods.so
// runs correctly on the fnoc1.nc test dataset.
//

#ifndef _IDLByte_h
#define _IDLByte_h 1

#ifdef __GNUG__
#pragma interface
#endif

#include "Byte.h"

class IDLByte: public Byte {
public:
    IDLByte(const string &n = (char *)0);
    virtual ~IDLByte() {}

    virtual BaseType *ptr_duplicate();

    virtual bool read(const string &dataset, int &error);

#if 0
    virtual void print_val(ostream &os, string space = "", 
			   bool print_decl_p = true);
#endif
};

#endif

