
// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)

// Implementation for IDLFloat64. See IDLByte.cc
//
// jhrg 1/12/95

// $Log: IDLFloat64.cc,v $
// Revision 1.1.2.1  1999/09/23 23:06:27  jimg
// This collection of files builds under Solaris 2.6. The resulting idl_dods.so
// runs correctly on the fnoc1.nc test dataset.
//

#ifdef __GNUG__
#pragma implementation
#endif

#include <assert.h>
#if 0
#include <iostream.h>
#include <iomanip.h>
#endif
#include <string>

#if 0
#include <Pix.h>
#include <SLList.h>
#endif

#include "IDLFloat64.h"
#if 0
#include "name_map.h"
#endif

#if 0
extern name_map names;
extern bool translate;
extern bool ascii;
#endif

Float64 *
NewFloat64(const string &n)
{
    return new IDLFloat64(n);
}

IDLFloat64::IDLFloat64(const string &n) : Float64(n)
{
}

BaseType *
IDLFloat64::ptr_duplicate()
{
    return new IDLFloat64(*this);
}
 
bool
IDLFloat64::read(const string &, int &)
{
    assert(false);
    return false;
}

#if 0
void 
IDLFloat64::print_val(ostream &os, string, bool print_decl_p)
{
    os.precision(15);

    if (print_decl_p)
	os << type_name() << endl << names.lookup(name(), translate) << endl;

    if (ascii)
	os << _buf << " ";
    else
	os.write((void *)&_buf, sizeof(dods_float64));
}
#endif
