
// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)

// Implementation for IDLList. See IDLByte.cc
//
// jhrg 1/12/95

// $Log: IDLList.cc,v $
// Revision 1.1.2.1  1999/09/23 23:06:30  jimg
// This collection of files builds under Solaris 2.6. The resulting idl_dods.so
// runs correctly on the fnoc1.nc test dataset.
//

#ifdef __GNUG__
#pragma implementation
#endif

#include <assert.h>
#if 0
#include <iostream.h>
#endif

#if 0
#include <Pix.h>
#include <SLList.h>
#endif
#include <string>

#include "IDLList.h"
#if 0
#include "name_map.h"
#endif

#if 0
extern name_map names;
extern bool translate;

extern void smart_newline(ostream &os, Type type);
#endif

List *
NewList(const string &n, BaseType *v)
{
    return new IDLList(n, v);
}

BaseType *
IDLList::ptr_duplicate()
{
    return new IDLList(*this);
}

IDLList::IDLList(const string &n, BaseType *v) : List(n, v)
{
}

IDLList::~IDLList()
{
}

bool 
IDLList::read(const string &, int &)
{
    assert(false);
    return false;
}

#if 0
void 
IDLList::print_val(ostream &os, string, bool print_decl_p)
{
    if (print_decl_p) {
	os << type_name() << endl << var()->type_name() << " " 
	   << names.lookup(name(), translate) << " " << length() << endl;
    }

    for (int i = 0; i < length(); ++i)
	var(i)->print_val(os, "", false);
}
#endif
