// -*- C++ -*-

// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)

// Interface for IDLStr type. See IDLByte.h
//
// jhrg 1/12/95

// $Log: IDLStr.h,v $
// Revision 1.1.2.1  1999/09/23 23:06:32  jimg
// This collection of files builds under Solaris 2.6. The resulting idl_dods.so
// runs correctly on the fnoc1.nc test dataset.
//

#ifndef _IDLStr_h
#define _IDLStr_h 1

#ifdef __GNUG__
#pragma interface
#endif

#include "dods-limits.h"
#include "Str.h"

class IDLStr: public Str {
public:
    IDLStr(const string &n = (char *)0);
    virtual ~IDLStr() {}

    virtual BaseType *ptr_duplicate();
    
    virtual bool read(const string &dataset, int &error);

#if 0
    virtual void print_val(ostream &os, string space = "", 
			   bool print_decl_p = true);
#endif
};

#endif

