
// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)

// Implementation for IDLArray. See IDLByte.cc
//
// jhrg 1/12/95

// $Log: IDLArray.cc,v $
// Revision 1.1.2.1  1999/09/23 23:06:24  jimg
// This collection of files builds under Solaris 2.6. The resulting idl_dods.so
// runs correctly on the fnoc1.nc test dataset.
//

#ifdef __GNUG__
#pragma implementation
#endif

#include "config_dap.h"

#include <assert.h>

#if 0
#include <iostream.h>

#include <Pix.h>
#include <SLList.h>
#endif
#include <string>

#include "IDLArray.h"
#if 0
#include "name_map.h"

extern name_map names;
extern bool translate;
#endif

#ifdef TRACE_NEW
#include "trace_new.h"
#endif

#if 0
extern void smart_newline(ostream &os, Type type);
#endif

Array *
NewArray(const string &n, BaseType *v)
{
    return new IDLArray(n, v);
}

BaseType *
IDLArray::ptr_duplicate()
{
    return new IDLArray(*this);
}

IDLArray::IDLArray(const string &n, BaseType *v) : Array(n, v)
{
}

IDLArray::~IDLArray()
{
}

bool
IDLArray::read(const string &, int &)
{
    assert(false);
    return false;
}

#if 0
void 
IDLArray::print_val(ostream &os, string, bool print_decl_p)
{
    if (print_decl_p) {
	os << type_name() << endl << var()->type_name() << " " 
	   << names.lookup(name(), translate) << " " << dimensions(true)
	   << endl;

	// Write the actual dimension sizes on a spearate line.
	for (Pix p = first_dim(); p; next_dim(p))
	    os << dimension_size(p, true) << " ";

	os << endl;
    }

    for (int i = 0; i < length(); ++i)
	var(i)->print_val(os, "", false);
}    
#endif
