// -*- C++ -*-

// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)

// Interface for IDLFloat32 type. See IDLByte.h

// $Log: IDLFloat32.h,v $
// Revision 1.1.2.1  1999/09/23 23:06:26  jimg
// This collection of files builds under Solaris 2.6. The resulting idl_dods.so
// runs correctly on the fnoc1.nc test dataset.
//

#ifndef _IDLFloat32_h
#define _IDLFloat32_h 1

#ifdef __GNUG__
#pragma interface
#endif

#include "Float32.h"

class IDLFloat32: public Float32 {
public:
    IDLFloat32(const string &n = (char *)0);
    virtual ~IDLFloat32() {}

    virtual BaseType *ptr_duplicate();
    
    virtual bool read(const string &dataset, int &error);

#if 0
    virtual void print_val(ostream &os, string space = "", 
			   bool print_decl_p = true);
#endif
};

#endif

