
// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)

// implementation for IDLGrid. See IDLByte.
//
// jhrg 10/4/96

// $Log: IDLGrid.cc,v $
// Revision 1.1.2.1  1999/09/23 23:06:27  jimg
// This collection of files builds under Solaris 2.6. The resulting idl_dods.so
// runs correctly on the fnoc1.nc test dataset.
//

#ifdef __GNUG__
#pragma implementation
#endif

#include <assert.h>
#if 0
#include <iostream.h>
#include <Pix.h>
#include <SLList.h>
#endif
#include <string>

#include "IDLGrid.h"
#if 0
#include "name_map.h"
#endif

#if 0
extern name_map names;
extern bool translate;
#endif

Grid *
NewGrid(const string &n)
{
    return new IDLGrid(n);
}

BaseType *
IDLGrid::ptr_duplicate()
{
    return new IDLGrid(*this);
}

IDLGrid::IDLGrid(const string &n) : Grid(n)
{
}

IDLGrid::~IDLGrid()
{
}

bool
IDLGrid::read(const string &, int &)
{
    assert(false);
    return false;
}

#if 0
void
IDLGrid::print_val(ostream &os, string space, bool print_decl_p)
{
    if (print_decl_p) {
	os << type_name() << endl << names.lookup(name(), translate) << endl;

	// We can only store one array in a grid right now.
	os << "array 1" << endl;
    }

    array_var()->print_val(os, space, print_decl_p);
    os << endl;

    if (print_decl_p) {
	os << "maps ";
	int i = 0;
	for (Pix p = first_map_var(); p; next_map_var(p))
	    ++i;
	os << i << endl;
    }

    for (Pix p = first_map_var(); p; next_map_var(p)) {
	map_var(p)->print_val(os, space, print_decl_p);
	os << endl;
    }
}
#endif
