
// -*- C++ -*-

// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)

// Interface for the class IDLSequence. See IDLByte.h
//
// jhrg 1/12/95

// $Log: IDLSequence.h,v $
// Revision 1.1.2.1  1999/09/23 23:06:31  jimg
// This collection of files builds under Solaris 2.6. The resulting idl_dods.so
// runs correctly on the fnoc1.nc test dataset.
//

#ifndef _IDLSequence_h
#define _IDLSequence_h 1

#ifdef _GNUG_
#pragma interface
#endif

#include "Sequence.h"

class IDLSequence: public Sequence {
public:
    IDLSequence(const string &n = (char *)0);
    virtual ~IDLSequence();

    virtual BaseType *ptr_duplicate();

    virtual bool read(const string &dataset, int &error);

    virtual int length();

#if 0
    virtual void print_val(ostream &os, string space = "", 
			   bool print_decl_p = true);

    virtual void print_all_vals(ostream &os, XDR *src, DDS *dds, 
				string space = "", bool print_decl_p = true);
#endif
};

#endif
