
// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)

// Implementation for IDLInt32. See IDLByte.cc
//
// jhrg 11/1/96

// $Log: IDLUInt32.cc,v $
// Revision 1.1.2.1  1999/09/23 23:06:33  jimg
// This collection of files builds under Solaris 2.6. The resulting idl_dods.so
// runs correctly on the fnoc1.nc test dataset.
//

#ifdef __GNUG__
#pragma implementation
#endif

#include <assert.h>
#if 0
#include <iostream.h>
#endif

#if 0
#include <Pix.h>
#include <SLList.h>
#endif
#include <string>

#include "IDLUInt32.h"
#if 0
#include "name_map.h"
#endif

#if 0
extern name_map names;
extern bool ascii;
extern bool translate;
#endif

UInt32 *
NewUInt32(const string &n)
{
    return new IDLUInt32(n);
}

IDLUInt32::IDLUInt32(const string &n) : UInt32(n)
{
}

BaseType *
IDLUInt32::ptr_duplicate()
{
    return new IDLUInt32(*this);
}

bool
IDLUInt32::read(const string &, int &)
{
    assert(false);
    return false;
}

#if 0
void 
IDLUInt32::print_val(ostream &os, string, bool print_decl_p)
{
    if (print_decl_p)
	os << type_name() << endl << names.lookup(name(), translate) << endl;

    if (translate) {
	dods_float64 df = _buf;
	if (ascii)
	    os << df << " ";
	else
	    os.write((void *)&df, sizeof(dods_float64));
    }
    else {
	if (ascii)
	    os << _buf << " ";
	else
	    os.write((void *)&_buf, sizeof(dods_uint32));
    }	
}
#endif



