
// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)

// Implementation for IDLUrl. See IDLByte.cc
//
// jhrg 1/12/95

// $Log: IDLUrl.cc,v $
// Revision 1.1.2.1  1999/09/23 23:06:34  jimg
// This collection of files builds under Solaris 2.6. The resulting idl_dods.so
// runs correctly on the fnoc1.nc test dataset.
//

#ifdef __GNUG__
#pragma implementation
#endif

#include <string>

#include "IDLUrl.h"

IDLUrl *
NewUrl(const string &n)
{
    return new IDLUrl(n);
}

IDLUrl::IDLUrl(const string &n) : IDLStr(n)
{
}

BaseType *
IDLUrl::ptr_duplicate()
{
    return new IDLUrl(*this);
}
